List OIDCProviders
https://app.fossa.com/api/oidc/providersList OIDC Providers. Requires a **premium** subscription; organizations below that tier receive a `403`.
Query parameters
pageSizeintegerNumber of providers to return
previntegerID of the last provider from the previous page for pagination
filter[scope]enumFilter providers by scope (org or team). When filtering by team, the `scopeId` parameter must also be provided. The org scope will only return organization-scoped providers. The team scope will return both org-scoped providers as well as team-scoped providers where the scopeId matches the team ID.
orgteamfilter[scopeId]integerFilter providers by scope ID. Required when the `scope` parameter is `team`.
Responses
200Successfully retrieved OIDC Providers401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403Forbidden — requires a premium subscription.uuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/oidc/providerscurl --request GET \ --url 'https://app.fossa.com/api/oidc/providers' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Query params
pageSizeintegerNumber of providers to return
previntegerID of the last provider from the previous page for pagination
filter[scope]enumFilter providers by scope (org or team). When filtering by team, the `scopeId` parameter must also be provided. The org scope will only return organization-scoped providers. The team scope will return both org-scoped providers as well as team-scoped providers where the scopeId matches the team ID.
filter[scopeId]integerFilter providers by scope ID. Required when the `scope` parameter is `team`.